[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

0.5.5 debian postinst fscked



logic to check for existence of /var/lib/firestorm/log/.stormwall fifo
is wrong.  Because of 'set -e' bash mode, this exits immediately with
code 1 and upsets dpkg:

aeschylus:/var/lib/dpkg/info# dpkg --configure -a
Setting up firestorm (0.5.5) ...
dpkg: error processing firestorm (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 firestorm

patch fixes and also allows mkfifo to speak to stderr so we can see
errors in future.

You may choose to use -e to check to see if *any* kind of file exists,
as it *will* fail if the /var/lib/firestorm/log/.stormwall exists but
isn't a fifo.

John.
diff -ur firestorm-snapshot/debian/firestorm.postinst firestorm-devel/debian/firestorm.postinst
--- firestorm-snapshot/debian/firestorm.postinst	2004-02-07 17:15:41.000000000 +0000
+++ firestorm-devel/debian/firestorm.postinst	2004-08-18 16:40:58.708004664 +0100
@@ -44,8 +44,8 @@
 	fi
 	
 	## Create the FIFO that will be used by stormwall
-	if ! [ -f /var/lib/firestorm/log/.stormwall ]; then
-	    mkfifo /var/lib/firestorm/log/.stormwall 2> /dev/null
+	if ! [ -p /var/lib/firestorm/log/.stormwall ]; then
+	    mkfifo /var/lib/firestorm/log/.stormwall
 	fi
 
 	## Change the owner